%global _empty_manifest_terminate_build 0
Name:                perl-Clone
Version:             0.46
Release:             1
Summary:             Recursively copy Perl datatypes
License:             GPL+ or Artistic
URL:                 http://search.cpan.org/dist/Clone/
Source0:             http://www.cpan.org/authors/id/A/AT/ATOOMIC/Clone-%{version}.tar.gz

BuildRoot:           %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:       coreutils
BuildRequires:       findutils
BuildRequires:       gcc
BuildRequires:       make
BuildRequires:       perl(ExtUtils::MakeMaker) perl(Test::More) perl(B::COW)
BuildRequires:       perl-devel
BuildRequires:       perl-generators
BuildRequires:       perl-interpreter
BuildRequires:       perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:       perl(AutoLoader)
BuildRequires:       perl(DynaLoader)
BuildRequires:       perl(Exporter)
BuildRequires:       perl(strict)
BuildRequires:       perl(vars)
# Tests:
BuildRequires:       perl(B)
BuildRequires:       perl(B::COW) >= 0.004
BuildRequires:       perl(Test::More)
BuildRequires:       perl(utf8)
BuildRequires:       perl(warnings)
# Dependencies
Requires:            perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a clone() method which makes recursive copies of
nested hash, array, scalar and reference types, including tied variables
and objects.

%package help
Summary:             Recursively copy Perl datatypes
Provides:            perl-Clone-doc

%description help
This module provides a clone() method which makes recursive copies of
nested hash, array, scalar and reference types, including tied variables
and objects.

%prep
%setup -q -n Clone-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*
pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test
%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes META.json README.md
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Clone*

%files help
%{_mandir}/*

%changelog
* Tue Jul 11 2023 leeffo <liweiganga@uniontech.com> - 0.46-1
- upgrade to version 0.46

* Fri Jul 15 2022 misaka00251 <misaka00251@misakanet.cn> - 0.45-3
- Correct Requires, BuildRequires & Provides in the spec file

* Wed Sep 01 2021 wulei <wulei80@huawei.com> - 0.45-2
- fixes EXTERN.h: No such file or directory

* Fri Mar 26 2021 wangyueliang <wangyueliang@kylinos.cn> - 0.45-1
- Package init
